ComboBoxUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.ComboBoxUI class
Date: 2015-05-24

javax.swing.plaf

## Class ComboBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ComboBoxUI

- Direct Known Subclasses:
    BasicComboBoxUI, MultiComboBoxUI

      public abstract class ComboBoxUI
      extends ComponentUI

  Pluggable look and feel interface for JComboBox.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComboBoxUI()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `isFocusTraversable(JComboBox c)` Determine whether or not the combo box itself is traversable
    `abstract boolean` | `isPopupVisible(JComboBox c)` Determine the visibility of the popup
    `abstract void` | `setPopupVisible(JComboBox c, boolean v)` Set the visibility of the popup

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComboBoxUI

          public ComboBoxUI()

  - ### Method Detail

    - #### setPopupVisible

          public abstract void setPopupVisible(JComboBox c,
                                               boolean v)

      Set the visibility of the popup

    - #### isPopupVisible

          public abstract boolean isPopupVisible(JComboBox c)

      Determine the visibility of the popup

    - #### isFocusTraversable

          public abstract boolean isFocusTraversable(JComboBox c)

      Determine whether or not the combo box itself is traversable

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.